package ir.almahdi.sandogh_bsa_aza.vam_other_ozv.model;

public class md_vam_other {
private String name_ozv;

    public String getName_ozv() {
        return name_ozv;
    }

    public void setName_ozv(String name_ozv) {
        this.name_ozv = name_ozv;
    }

    public String getLastname_ozv() {
        return lastname_ozv;
    }

    public void setLastname_ozv(String lastname_ozv) {
        this.lastname_ozv = lastname_ozv;
    }

    private String lastname_ozv;
    private String id_par_vam_nbt;
    private String id_ozviat;
    private Long mablagh_vam_par;
    private Byte bazpard_vam_mah;
    private String tarikh_par_vam;
    private String id_parchk_san="-10-";
    private Long mande_vam;
    private boolean isSelected;
    public void setSelected(Boolean selected) {
        isSelected = selected;
    }

    public boolean isSelected() {
        return isSelected;
    }



    public md_vam_other(String name_ozv, String lastname_ozv,String id_par_vam_nbt, Long mande_vam, Long mablagh_vam_par, Byte bazpard_vam_mah, String tarikh_par_vam, Long mablagh_gh_vam_nob, Long mande_vam1, Boolean checkbox) {
        this.name_ozv = name_ozv;
        this.lastname_ozv = lastname_ozv;
        setId_par_vam_nbt(id_par_vam_nbt.substring(3));
        setBazpard_vam_mah(bazpard_vam_mah);
        setId_ozviat(id_ozviat);
        setMablagh_gh_vam_nob(mablagh_gh_vam_nob);
        setMablagh_vam_par(mablagh_vam_par);
        setMande_vam(mande_vam);
        setTarikh_par_vam(tarikh_par_vam);
        setSelected(checkbox);
        setId_parchk_san("-10-");
    }


    public Long getMablagh_gh_vam_nob() {
        return mablagh_gh_vam_nob;
    }

    private void setMablagh_gh_vam_nob(Long mablagh_gh_vam_nob) {
        this.mablagh_gh_vam_nob = mablagh_gh_vam_nob;
    }

    private Long mablagh_gh_vam_nob;

    public Long getMande_vam() {
        return mande_vam;
    }

    private void setMande_vam(Long mande_vam) {
        this.mande_vam = mande_vam;
    }

//    id_par_vam_nbt"] ;
//    ["mande"]
//    $temp["mablagh_vam_par"]
//    $temp["bazpard_vam_mah"]
//    $temp["tarikh_par_vam"]
//    $temp["mablagh_gh_vam_nob


        //        this.id_par_vam_nbt = id_par_vam_nbt;
//        this.id_ozviat = id_ozviat;
//        this.mablagh_vam_par = mablagh_vam_par;
//        this.bazpard_vam_mah = bazpard_vam_mah;
//        this.tarikh_par_vam = tarikh_par_vam;
//        this.id_parchk_san = id_parchk_san;
//        //id_par_vam_nbt,id_ozviat,mablagh_vam_par,bazpard_vam_mah,tarikh_par_vam,id_parchk_san
//        this.mande_vam = mande_vam;


    public String getId_par_vam_nbt() {
        return id_par_vam_nbt;
    }

    private void setId_par_vam_nbt(String id_par_vam_nbt) {
        this.id_par_vam_nbt = id_par_vam_nbt;
    }

    public String getId_ozviat() {
        return id_ozviat;
    }

    private void setId_ozviat(String id_ozviat) {
        this.id_ozviat = id_ozviat;
    }

    public Long getMablagh_vam_par() {
        return mablagh_vam_par;
    }

    private void setMablagh_vam_par(Long mablagh_vam_par) {
        this.mablagh_vam_par = mablagh_vam_par;
    }

    public Byte getBazpard_vam_mah() {
        return bazpard_vam_mah;
    }

    private void setBazpard_vam_mah(Byte bazpard_vam_mah) {
        this.bazpard_vam_mah = bazpard_vam_mah;
    }

    public String getTarikh_par_vam() {
        return tarikh_par_vam;
    }

    private void setTarikh_par_vam(String tarikh_par_vam) {
        this.tarikh_par_vam = tarikh_par_vam;
    }

    public String getId_parchk_san() {
        return id_parchk_san;
    }

    public void setId_parchk_san(String id_parchk_san) {
        this.id_parchk_san = id_parchk_san;
    }


    }
